commit: b609e0669e0aef1749f67c512516337705cd21a4
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 22 15:39:51 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Jan 22 15:40:22 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b609e066
app-crypt/certbot-apache: Version bump to 0.10.1
Package-Manager: portage-2.3.3
app-crypt/certbot-apache/Manifest | 1 +
.../certbot-apache/certbot-apache-0.10.1.ebuild | 39 ++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/app-crypt/certbot-apache/Manifest
b/app-crypt/certbot-apache/Manifest
new file mode 100644
index 00000000..c81b914
--- /dev/null
+++ b/app-crypt/certbot-apache/Manifest
@@ -0,0 +1 @@
+DIST certbot-0.10.1.tar.gz 823669 SHA256
c91b5fddb50dfd46545c12c1e96d1bb5e2794652c11421a6f5d9dad2bbca4d52 SHA512
4e45280b9cb6db3f8dcecfbf0cf64c990ea58d8607ed1aea9853c7248f8830301cc8685126eeb0d0c2ef0e23298c9070b291110d733e72867967bc9506900702
WHIRLPOOL
ae08a9236adf69915c4a141106aa104563b1298f9fd3a32491ed8c45fddc9f32243154ba5bde9af7a8b74a95a1d2b7d337e4cbcc37f35ba997a7a50eb2f15200
diff --git a/app-crypt/certbot-apache/certbot-apache-0.10.1.ebuild
b/app-crypt/certbot-apache/certbot-apache-0.10.1.ebuild
new file mode 100644
index 00000000..8e35fdd
--- /dev/null
+++ b/app-crypt/certbot-apache/certbot-apache-0.10.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=(python2_7)
+
+if [[ ${PV} == 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/certbot/certbot.git"
+ inherit git-r3
+ S=${WORKDIR}/${P}/${PN}
+else
+
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz
-> ${PN%-apache}-${PV}.tar.gz"
+ KEYWORDS="~amd64"
+ S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Apache plugin for certbot (Let's Encrypt Client)"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="~app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
+ ~app-crypt/acme-${PV}[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/python-augeas[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]"
+DEPEND="test? ( ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}] )
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ nosetests || die
+}